package haushalt;
import haushalt.werte.*;

/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class BuchungsDatumField
  extends DatumField
  implements BuchungsField {

  Buchung buchung;

  public BuchungsDatumField(Buchung buchung) {
    super(buchung.getDatum());
    this.buchung = buchung;
    if(buchung.getDatum().compareTo(new Datum()) == 0)
      setText(""); // wenn heutiges Datum: Textfeld loeschen
  }

  public Buchung aktualisiereBuchung() {
    buchung.setDatum(getValue());
    return buchung;
  }

}