package haushalt;

import app.AbstractDlgSuchenErsetzen;
import javax.swing.JFrame;


/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class DlgSuchenErsetzen
  extends AbstractDlgSuchenErsetzen {

  private final OberflaecheHaushalt oberflaeche;

  public DlgSuchenErsetzen(OberflaecheHaushalt of) {
    super(of);
    this.oberflaeche = of;
  }

  protected boolean ersetzen(String text) {
    return Register.ersetzen(text);
  }

  protected boolean suchen(String text) {
    return Register.suchen(oberflaeche, text);
  }

  protected void reset() {
    Register.resetSuchIdx();
  }
}