package haushalt;
import haushalt.werte.*;

import java.awt.event.*;
import javax.swing.JComponent;

/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class PaneDatum
  extends PaneMaster {

  private DatumField datumField;

  public PaneDatum(String text, Datum datum) {
    wert = datum;
    datumField = new DatumField(datum);
    init(text, datumField);
  }

  protected void refreshWert() {
    wert = datumField.getValue();
    setAusgabe("Eingegebenes Datum: "+datumField.getValue());
    datumField.setValue((Datum)wert); // neusetzen, da ggf. Fehler beim Parsen
  }

  public JComponent getZentraleKomponente() {
    return datumField;
  }

}