package haushalt;
import haushalt.werte.Euro;

import java.awt.event.*;
import javax.swing.JTextField;
import javax.swing.JComponent;

/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class PaneEuro
  extends PaneMaster {

  private JTextField textField;

  public PaneEuro(String text, Euro euro) {
    wert = euro;
    if(euro.equals(new Euro()))
      textField = new JTextField("");
    else
      textField = new JTextField(euro.toString());
    init(text, textField);
  }

  protected void refreshWert() {
    wert = new Euro(textField.getText());
    setAusgabe("Eingegebener Betrag: "+wert.toString());
    textField.setText(wert.toString()); // neusetzen, da ggf. Fehler beim Parsen
  }

  public JComponent getZentraleKomponente() {
    return textField;
  }

}