package haushalt;
import haushalt.werte.EuroField;

/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class BuchungsEuroField
  extends EuroField
  implements BuchungsField {

  Buchung buchung;

  public BuchungsEuroField(Buchung buchung) {
    super(buchung.getWert());
    this.buchung = buchung;
  }

  public Buchung aktualisiereBuchung() {
    buchung.setWert(getValue());
    return buchung;
  }

}