package haushalt;

import java.awt.event.*;
import javax.swing.JComboBox;
import javax.swing.JComponent;

/**
 * @author Lars H. Hahn
 * @version 1.1
 */

public class PaneKategorie
  extends PaneMaster {

  private JComboBox comboBox;

  public PaneKategorie(String text, String[] kategorien) {
    comboBox = new JComboBox(kategorien);
    comboBox.addItemListener(new ItemListener() {
      public void itemStateChanged(ItemEvent e) {
        refreshWert();
      }
    });
    init(text, comboBox);
  }

  protected void refreshWert() {
    wert = (String)comboBox.getSelectedItem();
    setAusgabe("Gewhlte Kategorie: "+comboBox.getSelectedItem());
  }

  public JComponent getZentraleKomponente() {
    return comboBox;
  }


}